Subject: bug#25247: 26.0.50; Concurrency crashes with XLib

From: [email-masked]
Date: Thu, 05 Jan 2017 19:03:22 -0500

tags 25247 fixed
close 25247 
quit

Eli Zaretskii <[email-masked]> writes:

>> > Done.  Tino, could you please try the latest master?
>> It looks stable after your patch.  I have tried my test even with
>> 5000 threads and it works fine.
>
> Great, thanks.
>
>> Before Eli's patch i tried Ken's patch: it became more stable; it takes
>> more time to make it fail but i got 2 crashes (with 5000 and 500
>> threads); i also got Emacs freeze with a 500 threads test.
>> I have saved the full backtraces of both crashes.
>> If you need them let me know.
>
> I think we need both of these patches.

Both patches have been pushed to master, so I'm marking this as fixed.

1: 2016-12-30 11:36:07 +0200 543532313a1d9570d6a74a7846b4e776a2282964
  Attempt to fix crashes with threads in GTK builds

2: 2016-12-30 17:39:23 -0500 b0239945a36dafae908259a9a29c2a166ff53cee
  Initialize thread support for Xlib.